Bug 1135670 - RuntimeError: maximum recursion depth exceeded
Summary: RuntimeError: maximum recursion depth exceeded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:499051c3f90b438fd76ebca292f...
: 1148009 1164549 (view as bug list)
Depends On:
Blocks: F21AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-08-30 04:59 UTC by Dennis Gilmore
Modified: 2014-12-05 01:55 UTC (History)
14 users (show)

Fixed In Version: python-blivet-0.61.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-05 01:55:52 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (571.41 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: anaconda.log (66.51 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: environ (459 bytes, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: lsblk_output (18.91 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: nmcli_dev_list (2.23 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: os_info (377 bytes, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: program.log (40.67 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: storage.log (245.32 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: syslog (102.59 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: ifcfg.log (4.01 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details
File: packaging.log (1.53 KB, text/plain)
2014-08-30 04:59 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2014-08-30 04:59:21 UTC
Description of problem:
selected disk partitioning on a system currently running rhel 5

Version-Release number of selected component:
anaconda-21.48.3-1

The following was filed automatically by anaconda:
anaconda 21.48.3-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 638, in disks
    for parent in self.parents:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 639, in disks
    for disk in parent.disks:
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 721, in shouldClear
    for disk in device.disks:
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 957, in getFreeSpace
    clearPartDisks=[disk.name])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 528, in _add_disk_overview
    free = self.storage.getFreeSpace(disks=[disk])[disk.name][0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 473, in refresh
    self._add_disk_overview(disk, self.local_disks_box)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 355, in _on_spoke_clicked
    spoke.refresh()
RuntimeError: maximum recursion depth exceeded

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-21-A-T5-x86_64 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.1-301.fc21.x86_64
product:        Fedora-Server
release:        Cannot get release name.
type:           anaconda
version:        21-Alpha-TC5

Comment 1 Dennis Gilmore 2014-08-30 04:59:24 UTC
Created attachment 932842 [details]
File: anaconda-tb

Comment 2 Dennis Gilmore 2014-08-30 04:59:25 UTC
Created attachment 932843 [details]
File: anaconda.log

Comment 3 Dennis Gilmore 2014-08-30 04:59:26 UTC
Created attachment 932844 [details]
File: environ

Comment 4 Dennis Gilmore 2014-08-30 04:59:27 UTC
Created attachment 932845 [details]
File: lsblk_output

Comment 5 Dennis Gilmore 2014-08-30 04:59:28 UTC
Created attachment 932846 [details]
File: nmcli_dev_list

Comment 6 Dennis Gilmore 2014-08-30 04:59:29 UTC
Created attachment 932847 [details]
File: os_info

Comment 7 Dennis Gilmore 2014-08-30 04:59:30 UTC
Created attachment 932848 [details]
File: program.log

Comment 8 Dennis Gilmore 2014-08-30 04:59:31 UTC
Created attachment 932849 [details]
File: storage.log

Comment 9 Dennis Gilmore 2014-08-30 04:59:33 UTC
Created attachment 932850 [details]
File: syslog

Comment 10 Dennis Gilmore 2014-08-30 04:59:33 UTC
Created attachment 932851 [details]
File: ifcfg.log

Comment 11 Dennis Gilmore 2014-08-30 04:59:34 UTC
Created attachment 932852 [details]
File: packaging.log

Comment 12 Vratislav Podzimek 2014-09-03 09:45:08 UTC
Wow, what a nice traceback!

Comment 13 Samantha N. Bueno 2014-09-03 15:12:38 UTC
dlehman stated that bc9ae63e6 on blivet's master branch should fix this.

Comment 14 Adam Williamson 2014-09-03 15:20:42 UTC
that's https://github.com/dwlehman/blivet/commit/bc9ae63e6378cee712a879b59836f8c119205e7d

there seems to be a bit of a problem between master and f21-branch , because each has had 'version 0.62' declared:

https://github.com/dwlehman/blivet/commit/7d8e498f6d54e3ca4b4512b297cd67068f37fde3

https://github.com/dwlehman/blivet/commit/b836ba5cf8433faf0ba4418bdd3b2a771637eed4

but they seem to have rather different code; not all the changes on master leading up to '0.62' appear to be on the f21 branch. I don't believe that code is on f21-branch yet.

Let's call it 'POST' for now.

Comment 15 Mike Ruckman 2014-09-03 16:59:15 UTC
Discussed in 2014-09-03 Blocker Review Meeting. Voted as a Rejected Blocker but an Accepted Freeze Exception - doesn't strictly violate Alpha disk criteria (not a single disk setup), but we would include the fix if this is fixed in time.

Comment 16 Samantha N. Bueno 2014-09-04 18:10:31 UTC
(In reply to Adam Williamson (Red Hat) from comment #14)
> that's
> https://github.com/dwlehman/blivet/commit/
> bc9ae63e6378cee712a879b59836f8c119205e7d
> 
> there seems to be a bit of a problem between master and f21-branch , because
> each has had 'version 0.62' declared:
> 
> https://github.com/dwlehman/blivet/commit/
> 7d8e498f6d54e3ca4b4512b297cd67068f37fde3
> 
> https://github.com/dwlehman/blivet/commit/
> b836ba5cf8433faf0ba4418bdd3b2a771637eed4
> 
> but they seem to have rather different code; not all the changes on master
> leading up to '0.62' appear to be on the f21 branch. I don't believe that
> code is on f21-branch yet.

Yeah, that was my fault, I screwed up when doing the first build of blivet by forgetting to change some files and messed up the tags. 0.61.z will be f21 blivet, FWIW.

Comment 17 Fedora Update System 2014-09-04 18:46:17 UTC
python-blivet-0.61.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.1-1.fc21

Comment 18 Fedora Update System 2014-09-06 00:59:30 UTC
Package python-blivet-0.61.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.61.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10190/python-blivet-0.61.1-1.fc21
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-09-17 23:46:30 UTC
python-blivet-0.61.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.2-2.fc21

Comment 20 David Lehman 2014-10-01 15:45:59 UTC
*** Bug 1148009 has been marked as a duplicate of this bug. ***

Comment 21 Martin Kolman 2014-11-18 16:29:19 UTC
*** Bug 1164549 has been marked as a duplicate of this bug. ***

Comment 22 Adam Williamson 2014-12-05 01:55:52 UTC
This was clearly resolved long ago.


Note You need to log in before you can comment on or make changes to this bug.